summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-3.5.1.ebuild
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2023-02-09 06:24:50 +0100
committerMichał Górny <mgorny@gentoo.org>2023-02-09 06:24:50 +0100
commit955da4c6a28a9dcd1e959135f1e593964c22ddc7 (patch)
tree3b594fbf139f24e108bec9de655e31e8c3b1455a /dev-python/python-utils/python-utils-3.5.1.ebuild
parent6e7b4ea00ee2a7819238ae1cdfa0469bb4a364f1 (diff)
downloadgentoo-955da4c6a28a9dcd1e959135f1e593964c22ddc7.tar.gz
gentoo-955da4c6a28a9dcd1e959135f1e593964c22ddc7.tar.bz2
gentoo-955da4c6a28a9dcd1e959135f1e593964c22ddc7.zip
dev-python/python-utils: Bump to 3.5.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/python-utils/python-utils-3.5.1.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-3.5.1.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-3.5.1.ebuild b/dev-python/python-utils/python-utils-3.5.1.ebuild
new file mode 100644
index 000000000000..2f51e06e8c85
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.5.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+ https://github.com/WoLpH/python-utils/
+ https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+ _python_utils_tests/test_logger.py
+ python_utils/loguru.py
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}